summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2021-09-13 14:58:04 +0200
committerJonathan Bauer2021-09-13 14:58:04 +0200
commitf2309f52e8710ef14f62f0cbb16527287aa5720d (patch)
tree3f916aeb5321e8d596c3bd9942ea47a2f7e85c3b
parent[slx-network] also pass hostname from kcl to udhcpc trigger script (diff)
downloadsystemd-init-f2309f52e8710ef14f62f0cbb16527287aa5720d.tar.gz
systemd-init-f2309f52e8710ef14f62f0cbb16527287aa5720d.tar.xz
systemd-init-f2309f52e8710ef14f62f0cbb16527287aa5720d.zip
[dnbd3-rootfs] assign return_code before printing it
-rwxr-xr-xmodules.d/dnbd3-rootfs/hooks/fetch-config.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/modules.d/dnbd3-rootfs/hooks/fetch-config.sh b/modules.d/dnbd3-rootfs/hooks/fetch-config.sh
index 2f075cc9..a282fa28 100755
--- a/modules.d/dnbd3-rootfs/hooks/fetch-config.sh
+++ b/modules.d/dnbd3-rootfs/hooks/fetch-config.sh
@@ -36,6 +36,7 @@ config_path="/etc/openslx.tmp"
echo "Downloading '$config_url'..."
slx-tools download_retry -s "$config_url" > "$config_path"
+return_code="$?"
if [ ! -s "$config_path" ] ; then
emergency_shell "Downloading netboot configuration file from '$config_url' failed with: $return_code"